dev.capabilities {grDevices} | R Documentation

## Query Capabilities of the Current Graphics Device

### Description

Query the capabilities of the current graphics device.

### Usage

    dev.capabilities(what = NULL)

### Arguments

`what` | a character vector partially matching the names of the components listed in section ‘Value’, or `NULL` which lists all available capabilities.

### Details

The capabilities have to be specified by the author of the graphics device, unless they can be deduced from missing hooks. Thus they will often by returned as `NA`, and may reflect the maximal capabilities of the underlying device where several output formats are supported by one device.

Most recent devices support semi-transparent colours provided the graphics format does (which PostScript does not). On the other hand, relatively few graphics formats support (fully or semi-) transparent backgrounds: generally the latter is found only in PDF and PNG plots.

### Value

A named list with some or all of the following components, any of which may take value `NA`:

`semiTransparency` | logical: Does the device support semi-transparent colours?
`transparentBackground` | character: Does the device support (semi)-transparent backgrounds? Possible values are `"no"`, `"fully"` (only full transparency) and `"semi"` (semi-transparent background colours are supported).
`rasterImage` | character: To what extent does the device support raster images as used by `rasterImage` and `grid.raster`? Possible values `"no"`, `"yes"` and `"non-missing"` (support only for arrays without any missing values).
`capture` | logical: Does the current device support raster capture as used by `grid.cap`?
`locator` | logical: Does the current device support `locator` and `identify`?
`events` | character: Which events can be generated on this device? Currently this will be a subset of `c("MouseDown", "MouseMove", "MouseUp", "Keybd")`, but other events may be supported in the future.

### See Also

See `getGraphicsEvent` for details on interactive events.

### Examples

    dev.capabilities()

[Package grDevices version 2.15.1 Index]